import {get,post} from '@/api/index'

/* 客户管理模块 */
const customInterence = {
  /* 根据客户类型获取行业列表接口 
		Classify string
	*/
  getindustry: (params) => {
    return get("/custom/industry/list", params);
  },
  /* 检查公司名称或是信用码 CompanyName CreditCode */
  checkCompanyInfo: (params) => {
    return get("/custom/check/RepeatCompanyInfo", params);
  },
  /* 搜索公司qcc KeyWord  */
  companyQccSearch: (params) => {
    return get("/custom/potential/company/qccSearch", params);
  },
  /* 获取指定权限的销售列表 */
  getSale: (params) => {
    // return get('/custom/seller/check/list',params)
    return get("/custom/seller/check/listV2", params);
  },
}
const etaTrialInterence={
  /**ETA试用客户列表
   * PageSize,CurrentIndex,KeyWord
   * SortParam
   * SortType : asc正序 desc倒序
   */
   getETATrialList:(params)=>{
     return get('/eta_trial/list',params)
   },
  /**非管理员-我的审批列表
   * 
   */
   getApprovalAllList:(params)=>{
     return get('/eta_trial/apply/myList',params)
   },
  /**非管理员-账号列表
   * 
   */
   getApprovalList:(params)=>{
     return get('/eta_trial/apply/accountlist',params)
   },
  /**非管理员-删除申请
   * ApprovalId
   */
   deleteApproval:(params)=>{
     return post('/eta_trial/apply/del',params)
   },
  /**非管理员-撤回申请
   * Mobile
   */
   withdrawApproval:(params)=>{
     return post('/eta_trial/apply/revoke',params)
   },
  /**非管理员-申请启用
   * UserName,CompanyName,Position,Mobile
   * ApplyReasons 申请理由
   */
   applyEnable:(params)=>{
     return post('/eta_trial/apply/enable',params)
   },
  /**非管理员-新增申请
   * List[]
   * List[].UserName 姓名
   * List[].CompanyName 公司名称
   * List[].Position 职位
   * List[].Mobile 手机号
   */
   addApproval:(params)=>{
     return post('/eta_trial/add',params)
   },
  /**管理员-审批列表
   * ApprovalStatus 
   */
   getAdminApprovalList:(params)=>{
     return get('/eta_trial/apply/list',params)
   },
  /**管理员-同意申请
   * ApprovalId
   */
   agreeApply:(params)=>{
     return post('/eta_trial/apply/approval',params)
   },
  /**管理员-驳回申请
   * ApprovalId
   * RejectReason
   */
   rejectApply:(params)=>{
     return post('/eta_trial/apply/reject',params)
   },
   accountTransfer:(params)=>{
     return post('/eta_trial/account/transfer',params)
   },
 }

export { customInterence, etaTrialInterence };
