/* ETA版本更新日志api */
import {get,post} from '@/api/index'

export default{
    /**
     * 版本更新日志列表
     * @param Keyword String
     * @param SortType  Number
     * @param PageSize Number
     * @param CurrentIndex Number
     * @param {*} params 
     */
    getLogList:(params)=>{
        return get('/eta_version_update_log/page_list',params)
    },
    /**
     * 新增更新日志
     * @param Version String
     * @param Content String
     * @param UpdateDate String
     */
    addLogData:(params)=>{
        return post('/eta_version_update_log/add',params)
    },
    /**
     * 编辑更新日志
     * @param Id Number 
     * @param Version String
     * @param Content String
     * @param UpdateDate String
     */
    editLogData:(params)=>{
        return post('/eta_version_update_log/edit',params)
    },
    /**
     * 删除更新日志
     * @param Id Number
     */
    deleteLogData:(params)=>{
        return post('/eta_version_update_log/del',params)
    }
}