import LayoutIndex from "@/layout/Index.vue";

export default[
  {
    path:'/system',
    name:'SystemRole',
    component:LayoutIndex,
    meta:{
      title:'权限配置'
    },
    children:[
      {
        path:'roleMenuAuth',
        name:'SystemRoleMenuAuth',
        component:()=>import('@/views/system/RoleMenuAuth.vue'),
        meta:{
          title:'权限配置'
        },
      },
    ]
  },
  {
    path:'/system',
    name:'SystemSet',
    component:LayoutIndex,
    meta:{
      title:'个性化设置'
    },
    children:[
      {
        path:'commonSet',
        name:'SystemCommonSet',
        component:()=>import('@/views/system/CommonSet.vue'),
        meta:{
          title:'个性化设置'
        },
      },
    ]
  },
  {
    path:'/system',
    name:'System',
    component:LayoutIndex,
    meta:{
      title:'系统设置'
    },
    children:[
      {
        path:'helpCenter',
        name:'SystemHelpCenter',
        component:()=>import('@/views/system/helpCenter/Index.vue'),
        meta:{
          title:'帮助中心配置'
        },
      },
      {
        path:'addDoc',
        name:'SystemHelpCenterAddDoc',
        component:()=>import('@/views/system/helpCenter/AddDocment.vue'),
        meta:{
          title:'添加文章',
          pathFrom: "helpCenter",
          pathName: "帮助中心配置",
        },
      },
      {
        path:'detail',
        name:'SystemHelpCenterDetail',
        component:()=>import('@/views/system/helpCenter/DocmentDetail.vue'),
        meta:{
          title:'查看文章',
          pathFrom: "helpCenter",
          pathName: "帮助中心配置",
        },
      },
      {
        path:'classify',
        name:'SystemHelpCenterClassify',
        component:()=>import('@/views/system/helpCenter/classify/Index.vue'),
        meta:{
          title:'分类管理',
          pathFrom: "helpCenter",
          pathName: "帮助中心配置",
        },
      },
      {
        path:'updateLog',
        name:'SystemUpdateLog',
        component:()=>import('@/views/system/updateLog.vue'),
        meta:{
          title:'更新日志配置'
        }
      },
    ]
  }
]